title: C4C Custom Role Package2
description: |
    A custom role with specified permissions for Compute Engine, Resource Manager, IAM, Storage,  BigQuery, Cloud Functions, Pub/Sub, and  Monitoring for Cross4Compute, Cross4Report and Cross4Alert.
stage: ALPHA
includedPermissions:
- bigquery.datasets.create
- bigquery.datasets.get 
- bigquery.tables.export
- bigquery.tables.get
- bigquery.tables.getData
- compute.instances.delete
- compute.instances.get
- compute.instances.list
- compute.instances.reset
- compute.instances.start
- compute.instances.stop
- compute.instances.update
- monitoring.alertPolicies.create
- monitoring.alertPolicies.delete
- monitoring.alertPolicies.get
- monitoring.alertPolicies.list
- monitoring.alertPolicies.update
- monitoring.notificationChannelDescriptors.get
- monitoring.notificationChannelDescriptors.list
- monitoring.notificationChannels.create
- monitoring.notificationChannels.delete
- monitoring.notificationChannels.get
- monitoring.notificationChannels.list
- monitoring.notificationChannels.update
- serviceusage.services.get
- serviceusage.services.list
- serviceusage.services.use 
- compute.regions.list
- iam.roles.get
- resourcemanager.projects.getIamPolicy
- monitoring.timeSeries.list
- pubsub.subscriptions.getIamPolicy
- serviceusage.quotas.get
- bigquery.jobs.create